
/* default, enabled field */
.pinlogin .pinlogin-field {
	box-sizing: border-box;
	
	display: inline-block;
	
	width: 30px;
	height: 30px;
	
	padding: 5px;
	
	margin: 0 2px;
	
	border: 1px solid #d6d9ce;
	
	-webkit-border-radius: 2px;
	-moz-border-radius: 2px;	
	border-radius: 2px;
	
	text-align: center;
	
	font-family: tahoma, arial, sans-serif; 
	font-size: 15px;
	font-weight: bold;
	color: #F36A22;
	
	outline:none;
	
	-webkit-box-shadow		: inset 0 1px 1px rgba(0, 0, 0, 0.05);
	-moz-box-shadow			: inset 0 1px 1px rgba(0, 0, 0, 0.05);
	box-shadow				: inset 0 1px 1px rgba(0, 0, 0, 0.05);

	-webkit-transition		: border linear 0.2s, box-shadow linear 0.2s;
	-moz-transition			: border linear 0.2s, box-shadow linear 0.2s;
	-ms-transition			: border linear 0.2s, box-shadow linear 0.2s;
	-o-transition			: border linear 0.2s, box-shadow linear 0.2s;
	transition				: border linear 0.2s, box-shadow linear 0.2s;

	background: #fff;
}

.pinlogin .pinlogin-field:first-of-type {
    margin-left: 0;
}

.pinlogin .pinlogin-field:last-of-type {
    margin-right: 0;
}

/* field with focus */
.pinlogin .pinlogin-field:focus {
	border					: 1px solid #f36a22;
	-webkit-box-shadow		: 0 1px 1px rgba(0, 0, 0, 0.05) inset, 0 0 4px rgba(243, 106, 0, 0.6);
	-moz-box-shadow			: 0 1px 1px rgba(0, 0, 0, 0.05) inset, 0 0 4px rgba(243, 106, 0, 0.6);
	box-shadow				: 0 1px 1px rgba(0, 0, 0, 0.05) inset, 0 0 4px rgba(243, 106, 0, 0.6);
}

/* field that's readonly */
.pinlogin .pinlogin-field:read-only
{
	border-color:#ddd ;
	color:#aaa;
	background:#f5f5f5;
	cursor:default;
	
	-webkit-box-shadow: none;
	-moz-box-shadow: none;
	box-shadow: none;
}

/* field that's invalid */
.pinlogin .pinlogin-field.invalid
{
	color 					: #aa0000;
	border					: 1px solid #aa0000;
	-webkit-box-shadow		: 0 1px 1px rgba(0, 0, 0, 0.05) inset, 0 0 4px rgba(170, 0, 0, 0.6);
	-moz-box-shadow			: 0 1px 1px rgba(0, 0, 0, 0.05) inset, 0 0 4px rgba(170, 0, 0, 0.6);
	box-shadow				: 0 1px 1px rgba(0, 0, 0, 0.05) inset, 0 0 4px rgba(170, 0, 0, 0.6);
}
